Announcement

Collapse
No announcement yet.

vista 64 + 1.5 beta = no go :(

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • vista 64 + 1.5 beta = no go :(

    hey guys, i recently installed vista 64 to try it out with new 4gb ram i got, to my surprise it runs every game perfectly (even better gta4 and FarCry2 wich was a big surprise because vista 32 always ran horribly for me with the hardware i have now)

    buuuuuuuuuuut, i cant run BF2 with the new patch.

    as soon as i start the game a black screen comes up and it crashes to desktop instantly

    so anyone here got it running on vista64?

  • #2
    Re: vista 64 + 1.5 beta = no go

    {RR}SinisterCaesarSalad told me in another thread how to see the errors and i got this:

    Comment


    • #3
      Re: vista 64 + 1.5 beta = no go

      I would post this in the official feedback thread on EA's forums.

      Comment


      • #4
        Re: vista 64 + 1.5 beta = no go

        I have Vista X64 Ultimate SP2.

        Maybe try to update your DirectX. www.microsoft.com/directx , I had no problems at all with installing this 1.50 patch!

        Comment


        • #5
          Re: vista 64 + 1.5 beta = no go

          I'm on VistaX64 and it works fine for me. I'd try a reinstall.

          Looking at that filepath in the screenshot, it almost seems as if it was a local one from the DICE offices!

          Comment


          • #6
            Re: vista 64 + 1.5 beta = no go

            Yeah, reinstall BF2 -> patch to 1.41 -> patch to 1.50.

            Since the lightning texture is something used in an Armored Fury map, do you have Armored Fury or Euro Forces? You should include that as a note when you report the error to DICE.

            Comment


            • #7
              Re: vista 64 + 1.5 beta = no go

              Originally posted by Sir. Elxx
              Yeah, reinstall BF2 -> patch to 1.41 -> patch to 1.50.

              Since the lightning texture is something used in an Armored Fury map, do you have Armored Fury or Euro Forces? You should include that as a note when you report the error to DICE.
              i have a feeling that will work, i know doing that resolved a problem for me in the past.

              dont remember what problem it was :P


              update* IT WORKED!!

              thanks alot Elxx!!!

              Comment


              • #8
                Re: vista 64 + 1.5 beta = no go

                I have the same problem. I'll try what you guys have suggested too. Thx

                /Edit: Downloaded Direct X 10 and reinstalled patch 1.5 and it works now! Thanks.

                Now if only I didn't get booted every time I join a game...

                Comment


                • #9
                  Re: vista 64 + 1.5 beta = no go

                  Originally posted by Sir. Elxx
                  Yeah, reinstall BF2 -> patch to 1.41 -> patch to 1.50.

                  Since the lightning texture is something used in an Armored Fury map, do you have Armored Fury or Euro Forces? You should include that as a note when you report the error to DICE.
                  I had the same problem as BIFF and this worked first time.

                  Thanks:salute:

                  Comment

                  Working...
                  X